import React from 'react';
import type { BaseText } from 'slate';
import { RenderLeafProps } from 'slate-react';
export type Select = 'SELECTED' | 'DESELECTED' | null;
export type HighlightLeafType = BaseText & {
    select: Select;
};
export declare const wrapperClassNameMapping: {
    SELECTED: string;
    DESELECTED: string;
};
export interface IHighlightLeaf extends Pick<RenderLeafProps, 'leaf' | 'attributes'> {
    children: (leaf: HighlightLeafType | BaseText) => JSX.Element;
}
export declare const HighlightLeaf: (props: IHighlightLeaf) => React.JSX.Element;
//# sourceMappingURL=highlightLeaf.d.ts.map